<div class="grid" style="position: relative;">
    <!-- <ngx-spinner bdColor = "rgba(0, 0, 0, 0.8)" size = "medium" color = "#fff" type = "timer" [fullScreen] = "true"><p style="color: white" > Loading... </p></ngx-spinner> -->
    <ngx-spinner bdColor="rgba(0,0,0,0.8)" color="#fff" type="timer" size="large" [fullScreen]="false">
        <p style="color: white;margin-top: 30px;">Loading Datas...</p>
        <!--if fullscreen false  Your parent container(div) should have position: relative;  -->
    </ngx-spinner>



    <div class="col-12">
        <div class="card">
            <h5>รายการตึก</h5>


            <p-dataView #dv [value]="wards" [paginator]="true" [rows]="9" filterBy="name" [sortField]="sortField"
                [sortOrder]="sortOrder" layout="grid">
                <ng-template pTemplate="header">
                    <div
                        class="flex flex-wrap md:align-items-center md:justify-content-between justify-content-start align-items-end">


                        <div class="flex flex-column md:flex-row md:justify-content-between gap-2">
                            <p-dropdown [options]="sortOptions" placeholder="เรียงตามชื่อตึก"
                                (onChange)="onSortChange($event)"></p-dropdown>
                        </div>

                        <div
                            class="flex flex-wrap tw-gap-x-2 md:justify-content-end md:align-items-end justify-content-start align-items-end">

                     
                            <span class="p-input-icon-left">
                                <i class="pi pi-search"></i>
                                <input type="text" pInputText placeholder="ค้นหา" (input)="onFilter(dv, $event)" #filterName name="filterName"/>

                                <button pButton pRipple type="button" icon="pi pi-times"
                                class="p-button-rounded p-button-text p-button-plain -ml-6"
                                (click)="filterName.value = '';clearFilter(dv,$event)">
                            </button>
                               
                            </span>
                            <p-dataViewLayoutOptions></p-dataViewLayoutOptions>
                        </div>


                    </div>

                </ng-template>

                <ng-template let-wards pTemplate="listItem">
                    <div class="col-12">
                        <div class="flex flex-column xl:flex-row xl:align-items-start p-4 gap-4">
                            <!-- <img class="w-9 sm:w-16rem xl:w-10rem shadow-2 block xl:block mx-auto border-round" [src]="'https://primefaces.org/cdn/primeng/images/demo/product/' + item.image" [alt]="item.name" /> -->
                            <div
                                class="flex flex-row w-full justify-content-start align-items-center xl:align-items-start flex-1 gap-4">
                                <div class="flex flex-column w-full align-items-center sm:align-items-start gap-3">
                                    <div class="text-2xl font-bold text-900">{{ wards.name }}</div>

                                    <div class="flex align-items-center gap-3">
                                        <span class="flex align-items-center gap-2">
                                            <i class="pi pi-tag"></i>
                                            <span class="font-semibold">{{ wards.name }}</span>
                                        </span>

                                    </div>
                                </div>
                                <div class="flex flex-column w-full align-items-start sm:align-items-start gap-3">
                                    <div class="flex align-items-start gap-3">
                                        <span class="flex align-items-center gap-2">
                                            <i class="fa-solid fa-bed"></i>
                                            <span class="font-semibold">จำนวนเตียง {{wards.bed_amount}}</span>
                                        </span>
                                    </div>

                                    <div class="flex align-items-start gap-3">
                                        <span class="flex align-items-center gap-2">
                                            <i class="pi pi-user"></i>
                                            <span class="font-semibold">จำนวนผู้ป่วย {{wards.patient_admit}}</span>
                                        </span>
                                    </div>
                                </div>
                                <div
                                    class="flex sm:flex-column w-full align-items-center sm:align-items-end gap-3 sm:gap-2">
                                    <span class="text-base font-semibold">แพทย์ Oreder</span>

                                    <button pButton class="md:align-self-end mb-2 p-button-rounded">
                                        {{wards.current_doctor_order}}</button>
                                </div>
                            </div>
                        </div>
                    </div>



                </ng-template>

                <ng-template let-wards pTemplate="gridItem">

                    <div class="col-12 md:col-6 lg:col-6 xl:col-3">
                        <div
                            class="card m-3 border-1 surface-border cursor-pointer  hover:scale-110 duration-300 hover:-translate-y-1 ">
                            <div class="flex align-items-center mb-3" (click)="navigatePatient(wards)">
                                <p-avatar icon="pi pi-home" size="large" shape="circle"
                                    styleClass="text-base bg-purple-100 text-purple-700"></p-avatar>
                                <span class="text-xl ml-2"> {{wards.name}}</span>
                            </div>
                            <div class="flex align-items-center justify-content-between mb-3">
                                <!-- <span class="block font-bold text-6xl mb-3">{{wards.bed_amount}}</span> -->

                                <div class="col-8 flex p-2 surface-50 border-round-top">
                                    <div class="p-2 flex-auto text-center md:text-left">
                                        <span class="text-700 text-sm block">เตียง</span>
                                        <span
                                            class="text-900 font-medium text-xl block mt-2">{{wards.bed_amount}}</span>
                                    </div>
                                    <p-divider align="center" layout="vertical"
                                        styleClass="h-full  mx-0 lg:mx-3 surface-border"></p-divider>
                                    <div class="p-2 flex-auto text-center md:text-left">
                                        <span class="text-700 text-sm block">ผู้ป่วย</span>
                                        <span
                                            class="text-900 font-medium text-xl block mt-2">{{wards.patient_admit}}</span>
                                    </div>

                                </div>

                                <div
                                    class="flex align-items-center justify-content-between h-2rem px-2 py-1 bg-green-100 text-green-900 border-round">
                                    <i class="pi pi-users" style="color: #708090"></i>
                                    <span class="font-bold ml-1">{{wards.current_doctor_order}}</span>
                                </div>
                            </div>

                        </div>
                    </div>

                </ng-template>
            </p-dataView>
        </div>
    </div>
</div>